Requests
Interface with the autoZnetwork feed requests.
Feed Requests
Feed Requests are attached to feeds and help expedite the legacy requests to 3rd party vendors via email or other workflows to get the your dealerships inventory importing into autoZnetwork.
Supported Vendors
| Vendor | Value |
|---|---|
vAuto | vauto |
ASN Software | asn-software |
vAuto
POST Request: https://api.autoznetwork.com/v1/feeds/{FEED_ID}
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
AUTOZNETWORK_FEED_ID="your feed id"
curl -X POST https://api.autoznetwork.com/v1/feeds/$AUTOZNETWORK_FEED_ID \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
'vendor': 'vauto',
}
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$feedId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$request = $autoznetwork
->withOrganization($organizationId)
->feeds($feedId)
->create([
'vendor' => 'vauto',
]);
print($request)